Bug 883699 - Changing LV name in custom partitioning crashes installer (TypeError: Argument 2 does not allow None as a value)
Changing LV name in custom partitioning crashes installer (TypeError: Argumen...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:8c44981e387fc0468b9c8e4f769...
: Reopened
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-12-05 01:38 EST by Steve Tyler
Modified: 2012-12-21 13:40 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-21 13:40:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: anaconda-tb (664.93 KB, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: environ (886 bytes, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: type (9 bytes, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: storage.log (135.54 KB, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: version (2 bytes, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: program.log (43.59 KB, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: executable (14 bytes, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: product (6 bytes, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: anaconda.log (10.67 KB, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: cmdline_file (162 bytes, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: release (33 bytes, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: messages (473.54 KB, text/plain)
2012-12-05 01:38 EST, Steve Tyler
no flags Details
File: other involved packages (30 bytes, text/plain)
2012-12-05 01:39 EST, Steve Tyler
no flags Details
anaconda-tb-ylPQCh (279.26 KB, text/plain)
2012-12-05 02:15 EST, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-12-05 01:38:35 EST
Description of problem:
Enter a very long string for a volume group name: "xxxx ...".

Version-Release number of selected component:
anaconda-18.35-1.fc18.x86_64

Additional info:
libreport version: 2.0.17
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.6-3.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.35 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 47, in function
:    return info.invoke(*args, **kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2081, in on_modify_vg_clicked
:    vg_combo.insert_text(idx, self._device_container_name)
:TypeError: Argument 2 does not allow None as a value
Comment 1 Steve Tyler 2012-12-05 01:38:40 EST
Created attachment 658000 [details]
File: anaconda-tb
Comment 2 Steve Tyler 2012-12-05 01:38:41 EST
Created attachment 658001 [details]
File: environ
Comment 3 Steve Tyler 2012-12-05 01:38:42 EST
Created attachment 658002 [details]
File: type
Comment 4 Steve Tyler 2012-12-05 01:38:44 EST
Created attachment 658003 [details]
File: storage.log
Comment 5 Steve Tyler 2012-12-05 01:38:46 EST
Created attachment 658004 [details]
File: version
Comment 6 Steve Tyler 2012-12-05 01:38:47 EST
Created attachment 658005 [details]
File: program.log
Comment 7 Steve Tyler 2012-12-05 01:38:49 EST
Created attachment 658006 [details]
File: executable
Comment 8 Steve Tyler 2012-12-05 01:38:50 EST
Created attachment 658007 [details]
File: product
Comment 9 Steve Tyler 2012-12-05 01:38:51 EST
Created attachment 658008 [details]
File: anaconda.log
Comment 10 Steve Tyler 2012-12-05 01:38:53 EST
Created attachment 658009 [details]
File: hashmarkername
Comment 11 Steve Tyler 2012-12-05 01:38:54 EST
Created attachment 658010 [details]
File: cmdline_file
Comment 12 Steve Tyler 2012-12-05 01:38:56 EST
Created attachment 658011 [details]
File: release
Comment 13 Steve Tyler 2012-12-05 01:38:58 EST
Created attachment 658012 [details]
File: messages
Comment 14 Steve Tyler 2012-12-05 01:39:00 EST
Created attachment 658013 [details]
File: other involved packages
Comment 15 Steve Tyler 2012-12-05 02:15:19 EST
Created attachment 658021 [details]
anaconda-tb-ylPQCh

Here's a reproducer and the corresponding log file:

Create an empty 12 GB disk image:
$ qemu-img create f18-test-2.img 12G

Start the Live CD and update the installer:
$ qemu-kvm -m 2048 -hda f18-test-2.img -cdrom ~/xfr/fedora/F18/F18-Beta/Final/Fedora-18-Beta-x86_64-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse

Start the installer.
Proceed to Manual Partitioning.
Auto-create storage devices.
Click Root.
Expand Customize...
Click Modify...
For Name, enter "xxx ...." (press the "x" key for about 20 seconds).
Click Save.
Exception occurs: TypeError: Argument 2 does not allow None as a value
Comment 16 Martin Banas 2012-12-07 06:09:59 EST
Same traceback occured with anaconda-18.36-1:

1. Remove all partitions
2. Let anaconda create partitioning layout for you
3. Change the volgroup name to "my_vg"
4. Traceback
Comment 17 Reartes Guillermo 2012-12-10 19:45:38 EST
entered "modify" for LVM and replaced "Fedora" with "[]" and checked "save"

Package: anaconda-18.37
OS Release: Fedora release 18
Comment 18 David Lehman 2012-12-17 17:20:09 EST
1. enter custom
2. make space
3. click autopart button
4. change vg name on root lv


Package: anaconda-18.37.2
OS Release: Fedora release 18
Comment 19 Adam Williamson 2012-12-17 22:44:34 EST
I'm at least +1 NTH on this. Let's get it accepted as NTH at least so it can go in next anaconda build.
Comment 20 Fedora Update System 2012-12-18 20:34:31 EST
anaconda-18.37.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.4-1.fc18
Comment 21 Adam Williamson 2012-12-19 12:28:42 EST
Discussed at 2012-12-19 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-19/f18final-blocker-review-6.2012-12-19-17.02.log.txt . Accepted as a blocker per criterion "The installer must be able to create and install to any workable partition layout using any file system offered in a default installer configuration, LVM, software, hardware or BIOS RAID, or combination of the above".
Comment 22 Fedora Update System 2012-12-19 17:41:13 EST
Package anaconda-18.37.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.37.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20677/anaconda-18.37.4-1.fc18
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2012-12-20 00:35:57 EST
anaconda-18.37.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Kamil Páral 2012-12-20 07:59:04 EST
Steve, Martin, Reartes, David, can one of you verify this is fixed with smoke9?
http://dl.fedoraproject.org/pub/alt/qa/20121219_f18-smoke9/

Thanks!
Comment 25 Steve Tyler 2012-12-21 13:15:07 EST
Verifying fixed with anaconda-18.37.6-1.fc18:

Fedora-18-TC3-x86_64-Live-Desktop.iso
    anaconda 18.37.3 (default)
        VG name: foo_bar
        TypeError: Argument 2 does not allow None as a value
    anaconda 18.37.6 (updated)
        VG name: foo_bar
        VG name accepted

Tested with:
$ qemu-kvm -m 2048 -hda f18-test-3.img -cdrom ~/xfr/fedora/F18/F18-Final/TC3/Fedora-18-TC3-x86_64-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse

NB: With anaconda-18.37.6-1.fc18, the procedure in Comment 15 using a very long volume group name reproduces a DeviceCreateError exception reported in Bug 883689, Comment 5: 
Bug 883689 - [vgcreate] New volume group name "ñ" is invalid
Comment 26 Adam Williamson 2012-12-21 13:40:10 EST
That's close enough, I think.

Note You need to log in before you can comment on or make changes to this bug.